SIS630E_GET_MAC_AD(9)

NAME
sis630e_get_mac_addr - Get MAC address for SiS630E model

SYNOPSIS

int __devinit sis630e_get_mac_addr (struct pci_dev * pci_dev, struct net_device * net_dev);

ARGUMENTS

pci_dev
    the sis900 pci device

net_dev
    the net device to get address for

DESCRIPTION

SiS630E model, use APC CMOS RAM to store MAC address. APC CMOS RAM is accessed through ISA bridge. MAC address is read into net_dev->dev_addr.

AUTHORS
Ollie Lho, Lei Chun Chang.